Subject: Re: [manet] Comments and Discussions on the MANET list

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 3 Jun 2012 11:34:23 +0200

Hi All,

>From the questions on the list and from some meeting requests, I try
to summary of things that we MAY need to discuss on the list are as
follows but not restricted to them:

- Discussing or review of DYMO-22 draft (AODVv2).
- Discussing or review of DLEP-02 draft.
- Discussing or review of NHDP-sec-02 draft.
- Discussing or review of NHDP-sec-threats-00 draft.

- Issue of using RFC5444 (packet-bb format) by more MANET protocols,
  (questioning why and why not) because its a MANET-format and its flexible.
- Issue of accomodating LOADng protocol in MANET WG.
- Issue of defining subnet-models in MANET.

If I missed some open things, please add on this thread, so we don't forget,

Abdussalam Baryun,
University of Glamorgan, UK
=====================

One may be wrong, or may be right, but it does not matter if we work together
as a group to discuss and resolve all issues. Working groups are mostly right
as long as they have more open discussions.

---

From: Henning Rogge <[email-masked]>
Date: Sun, 3 Jun 2012 11:45:55 +0200

> - Discussing or review of DLEP-02 draft.

The status of DLEP (not just draft 02) IS a very important point. Last
feedback was that the authors wanted to discuss internally how they
want to continue with it, but that was more than a month ago.

I would really like to hear what is going on their, the concept of
DLEP is too important to just bury it.

Henning Rogge
-- 
Steven Hawkings about cosmic inflation: "An increase of billions of
billions of percent in a tiny fraction of a second. Of course, that
was before the present government."

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 8 Jun 2012 12:53:49 +0200

Hi Ulrich,

I agree with you that there was an excellent discussions, but that
does not mean we stop revive because many relating things in MANET and
IP may change in future. Furthermore, I did not like to use the word
die (just used what content I reply), we can say the ad-hoc-autoconfig
was closed, so it MAY re-open in the willing of memebrs with reasons.
We should not ignore Mr.Jari (the WG AD) input nor to ignore
announcement reason of close (please read below), it was not my
action-reason, but you have to admit that the reason of close was
related to the discussion or the activity direction. Also, Mr.Jari
mentioned some how a collide with ROLL please read his reason again.

UH>I think it would be wrong to define such a multi-link subnet (for the
>reasons the IAB described in in RFC4903, and that we tried to convey
>at length in AUTOCONF). We had a long discussion about the reasons in
>AUTOCONF (which led to RFC5889), and I don't think we should revive
>this discussion in MANET.

I just now finished reading RFC4903 and thank you that you brought it
to my attention ( I will include in my draft), however, I see that it
considers issue of L3 link models not L2 link models. There are big
difference between L3 and L2.

RFC4903>There can be any number of layer 2
devices (bridges, switches, access points, etc.) in the middle
of the link.

AB> meaning the total link that includes the path between two node-interfaces.

RFC4903>Links that appear as NBMA links at layer 3 are problematic. Instead,
if a link is an NBMA link at layer 2, then protocol designers should
define some mechanism such that it appears as either the multi-access
link model or point-to-point link model at layer 3.

AB> please read above----> designers SHOULD define some mechanism such
that it appears as either the multi-access.......

AB> I just wanted to write a draft to define L2 network technology and
follow the RFC4903, so the RFC4903 is not against but with my
approach. Please note that I don't want to define the protocol to be
dependent on the L2 technology, but I want the DESIGNERS to KNOW what
they are looking as Mr.Clausen mentioned in the WG 77 meeting, that we
define assumptions/conditions before looking at our protocols.

I appreciate that you educated me regarding the RFC4903 it is very
important to read I admit that I missed. Thanks,

Best Regards

Abdussalam Baryun
University of Glamorgan, UK
=========================================================
On 6/7/12, Ulrich Herberg <[email-masked]> wrote:
> Let me clarify: Autoconf did not die because a lack of discussion. Quite to
> the contrary! We had extremely many and long discussions and several drafts
> trying to tackle the issue. Over 5 years we did that, and many of the
> participants are the same that are also active in MANET.
>
> Ulrich
>
> On Jun 7, 2012, at 1:50, Abdussalam Baryun <[email-masked]>
> wrote:
>
>> Hi Herberg, I think we should not beary our self just because autoconfig
>> WG had
>> died I think its discussions were not productive so that it was ended. In
>> IETF
>> discussion is more important than drafting papers/documents. Knowledge
>> should be
>> distributed and open to All, not to restrict knowledge-distribution
>> because we MAY
>> NOT be able to discuss productively or to get to solution. It is the
>> CHAIR's job to
>> solve unproductive issues, and WGs advising their AD to help as well
>> for progress.
>> IMHO, it is always the WG memebrs' and the WG Chair's fault/welling if
>> such WG will/have die(d).
>
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++

>>> +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
>>> To: "autoconf at ietf.org" <autoconf at ietf.org>
>>> Subject: [Autoconf] closing the working group?
>>> From: Jari Arkko <jari.arkko at piuha.net>
>>> Date: Tue, 29 Mar 2011 08:48:47 +0200
>>>
>>> --------------------------------------------------------------------------------
>>> I have looked at the discussions on the list (or lack thereof). I also
>>> cannot see too many internet drafts on the topics belonging to the
>>> group's charter. I am very happy with the RFC that has been produced
>>> by the working group, but we also seem to have some actual protocol
>>> work happening elsewhere (e.g., in the context of the ROLL WG).
>>>
>>> I discussed this matter with the chairs and my co-AD, and we are
>>> wondering if it would be time to close the working group. I do know
>>> that there is at least one implementation team that is still in the
>>> process of describing their DHCP-based solution, maybe there are
>>> similar efforts on the distributed solution space. My proposal is that
>>> we close the working group and I'be VERY happy to AD sponsor all such
>>> solutions to Experimental RFCs as soon as we have those proposals in
>>> some reasonable shape.
>>> Thoughts?
>>>
>>> Jari

---

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 9 Jun 2012 12:09:51 +0200

Hi Folks,

IMHO, there are difference between discussion that MAY become
argumentable and/or debatable. In a healthy-discussion you produce new
ideas and educate yourself and others, but in unproductive-discussion
you MAY block any progress and waste time.  I define productive
discussion as the posting/speaking of a point of view referenced by
scientific facts or RFCs. I define debates as the posting/speaking of
points without good-referencing or without good-reasoning. IMHO these
debating inputs with no good reference will not provide progress in
discussions, even though it may (in low probability) start indirectly
an interest/input to a work-in-progress.

For example, in one of the WG discussion on list, two members of WG
have referenced a history-discussion and informed me to read them
regarding some subject, I did do that but was *lost in translation*. I
now think that the memebrs' advise was to a wrong direction. We SHOULD
NOT refer in our current discussions to any other
history-subjected-discussions (thoes discussion had no approve by WG
consensus nor IESG review) in any WGs.  Also referring to old
discussions in the list result to waste time and MAY make current
arguments long (i.e. long means more than 5 working days), or even
makes the current argument unproductive.Old-discussions MAY be
misleading/incorrect/invalid, even if they are helpful to gain some
knowledge.

We should *reference* mostly RFCs in our discussion, because RFCs are
correct resource. The reason is because only RFCs are productions of
healthy discussions and reviewed by experts in IESG. IMHO the IETF
sees that RFCs are the correct-progress-reference. All Discussions are
important for the IETF processes and to produce RFCs. Memebers of the
WG should try to direct their discussions in the direction of progress
without discouraging debate-input. Discussions that produce I-D that
in the end submits <I-Ds are work-in-progress> are the most productive
discussions. IMO it is accepted in discussions to reference scientific
research papers, reviewed publications, industry experience, or RFCs,
but please don’t accept in discussion the validity of ; a) a reference
to a specific historic discussion that possibly were with wrong
arguments, or b) a reference to unproductive discussions.

In conclusion, we should try with the help of the WGs chairs to direct
our discussions to become more productive, and within a reasonable
time, and if we see any good-correct ideas, we SHOULD react quickly
and input in a informational I-D and submit to WG for approval so we
don't repeat refering to wrong-argumental-discussion.

If you feel differently please advise, thanking you :)

Best regards

Abdussalam Baryun
University of Glamorgan, UK.

+++++++++++++++++++++++++++++++++++++++++++++++++++++
< In discussions one may be wrong, or may be right, but it does not
matter if we work together as a group to progress and resolve all
issues. IETF WGs are always right >
****************************************************************************************

---

From: Thomas Heide Clausen <[email-masked]>
Date: Mon, 11 Jun 2012 17:21:09 +0200

Dear Abdussalam,

First of all, it is always encouraging when new people become interested a domain we've been working on for the past 15 or so years in the IETF.

Also, over the past 15 years, a great many things have been brought forth, discussed, experimented, consensus reached (sometimes rough consensus - but that's the game), and decisions made - leading to the work-items that are currently active in the working group, and the designs that are currently the fundament of those work-items (roughly: the currently active I-Ds in the group). 

The working group chairs have the thankless job of getting progress on those work-items. That's actually quite bit more complex than what may meet the eye: constraints and requirements from elsewhere in the IETF, such as security and MIBs and ...., as well as whipping (not too hard ;) ) various authors to produce updated documents, getting timely cross-area reviews, ...... and of course, ensure that the mailing list is available for discussions of related topics.

I for one think that the MANET wg chairs are striking a fairly good balance and are doing a good, no great, job at seeing things progress through the process to completion.

It is honorable to be curious as to the history, and wanting to understand how decisions were made and how consensus was reached. That is why - I guess - that some have pointed you to some of the mailing list archives (for manet@ietf as well as other lists) so that you may be able to acquire such understanding. I am sure that you understand that we can't rehash every discussion that's happened in the past 15 years " on a whim" if, at the same time, we want to get progress on the work-items that are before us.

I do not think that it's particularly helpful or productive to suggest that the WG chairs are not doing their job (they definitely are), that the ADs are not doing their job (they definitely are too!) or that references to mailing list archives are inappropriate: I allow myself to remind you that working group mailing lists are where official working group business is conducted, arguments advanced and (rough) consensus established and confirmed - so, if anything, those archives are the right place to point you for further information.

Rough consensus and running code ;)

Thomas

On Jun 9, 2012, at 12:09 , Abdussalam Baryun wrote:

> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 12 Jun 2012 12:01:42 +0200

Dear Thomas,

I don't understand why you mentioning that I suggested that 'MANET WG
chairs are not doing their job'. Please note that I never written nor
said that ever (under this above subject and even in all my posts with
other subjects). I beleive that they are doing their job, please
inform me where you seen that, then I can/will reply to your below
email. However, I thank you for your email because we need to make
things clear ;)

You maybe misunderstood, with the ad-hoc-autoconfig WG (in another
post subject). Which I did not blame them either, but I just mentioned
that it was the fault of WG and chairs of the close.

Abdussalam Baryun
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
On 6/11/12, Thomas Heide Clausen <[email-masked]> wrote:
> Dear Abdussalam,
>
> First of all, it is always encouraging when new people become interested a
> domain we've been working on for the past 15 or so years in the IETF.
>
> Also, over the past 15 years, a great many things have been brought forth,
> discussed, experimented, consensus reached (sometimes rough consensus - but
> that's the game), and decisions made - leading to the work-items that are
> currently active in the working group, and the designs that are currently
> the fundament of those work-items (roughly: the currently active I-Ds in the
> group).
>
> The working group chairs have the thankless job of getting progress on those
> work-items. That's actually quite bit more complex than what may meet the
> eye: constraints and requirements from elsewhere in the IETF, such as
> security and MIBs and ...., as well as whipping (not too hard ;) ) various
> authors to produce updated documents, getting timely cross-area reviews,
> ...... and of course, ensure that the mailing list is available for
> discussions of related topics.
>
> I for one think that the MANET wg chairs are striking a fairly good balance
> and are doing a good, no great, job at seeing things progress through the
> process to completion.
>
> It is honorable to be curious as to the history, and wanting to understand
> how decisions were made and how consensus was reached. That is why - I guess
> - that some have pointed you to some of the mailing list archives (for
> manet@ietf as well as other lists) so that you may be able to acquire such
> understanding. I am sure that you understand that we can't rehash every
> discussion that's happened in the past 15 years " on a whim" if, at the same
> time, we want to get progress on the work-items that are before us.
>
> I do not think that it's particularly helpful or productive to suggest that
> the WG chairs are not doing their job (they definitely are), that the ADs
> are not doing their job (they definitely are too!) or that references to
> mailing list archives are inappropriate: I allow myself to remind you that
> working group mailing lists are where official working group business is
> conducted, arguments advanced and (rough) consensus established and
> confirmed - so, if anything, those archives are the right place to point you
> for further information.
>

---

From: Teco Boot <[email-masked]>
Date: Tue, 12 Jun 2012 13:55:33 +0200

Could you try to be productive? I suggest you post drafts 
on your ideas and ask the WG chairs a few minutes next meeting
for presenting. Please keep it short. Recent postings costs us
already a fairly amount of time.

No need to respond...

Teco